> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mf-atlas.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay for confirmed order

> Creates a payment for the link's confirmed order once it has been accepted by the exchange — returns payment_url for UPI/NETBANKING modes to redirect the investor to.



## OpenAPI

````yaml /openapi.yaml post /api/public/v1/order-links/{link_id}/pay
openapi: 3.0.3
info:
  title: MF Atlas API
  version: 1.0.0
servers:
  - description: Sandbox
    url: https://api-sandbox.mf-atlas.space
  - description: Production
    url: https://api.mf-atlas.space
security:
  - bearerAuth: []
paths:
  /api/public/v1/order-links/{link_id}/pay:
    post:
      tags:
        - public-orders
      summary: Pay for confirmed order
      description: >-
        Creates a payment for the link's confirmed order once it has been
        accepted by the exchange — returns payment_url for UPI/NETBANKING modes
        to redirect the investor to.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                bank_account_id:
                  type: string
                cheque:
                  type: object
                mandate_id:
                  type: string
                mode:
                  description: MANDATE|CHEQUE|UPI|NETBANKING|NEFT_RTGS.
                  type: string
                vpa:
                  type: string
              type: object
        description: Payment mode + details
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  amount:
                    type: number
                  basket_id:
                    type: string
                  id:
                    type: string
                  payment_url:
                    type: string
                  simulation_links:
                    type: object
                  status:
                    type: string
                type: object
          description: Payment initiated
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque bearer token from POST /api/auth/v1/token
      scheme: bearer
      type: http

````